Subject: bug#44862: Xfce4 Launcher Shortcuts not working after updates

From: [email-masked]
Date: Wed, 25 Nov 2020 04:45:04 +0000

Hello! I use Xfce4 under Guix OS. I have several Shortcuts in Launchers on Xfce4 Panel:
IceCat, Gimp, Ungoogled-Chrom, PcmanFM.
Every time I update software, delete old generations and run garbage collector
this removes packages from the /gnu/store
and this makes Shortcuts unworkable.

I think it is a bug, cause Xfce4 Shortcuts must link to the current profile and relating software.
Instead of this the creation of Shortcuts make a hard link directly to software - not through the profile.

Error window is in the attachment.